> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 法币充值记录列表

> 法币充值记录列表

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/stablecoin-exchange/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /fiat/deposits` 返回按归因码记入商户的法币充值记录，游标分页。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

**currency** `string`

按币种过滤

**created\_after** `integer`

只返回该时间之后到账的记录

**created\_before** `integer`

只返回该时间之前到账的记录

**limit** `integer`

每页条数，默认 20，最大 100

**next\_cursor** `string`

上一页返回的游标

## 响应

**deposits** `array` *required*

充值记录数组

**next\_cursor** `string`

还有下一页时返回

**fiat\_deposit\_id** `string` *required*

法币充值记录 ID，10 位数字

**merchant\_id** `string` *required*

商户 ID

**currency** `string` *required*

法币币种，ISO 4217

**amount** `integer` *required*

到账金额

**reference\_code** `string` *required*

归因码

**credited\_at** `integer` *required*

到账时间

## 状态与错误

400 参数不合法。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/fiat/deposits" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/fiat/deposits", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "deposits": [
    {
      "fiat_deposit_id": "9000000090",
      "merchant_id": "2000000001",
      "currency": "USD",
      "amount": 100500,
      "reference_code": "SP-MCH-000001-USD",
      "credited_at": 1718726400
    }
  ],
  "next_cursor": "eyJpZCI6IjkwMDAwMDAwOTAifQ"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.